package com.emr.service;

import com.emr.entity.Archive_Master_Following;
import com.emr.entity.Emr_Fault_Vo;

import java.util.HashMap;
import java.util.List;

public interface Archive_Master_FollowingService {
    int insertSelective(Archive_Master_Following record);

    List<Archive_Master_Following> selectByMasterId(Integer roleId,String masterId);
    /**
     * 根据条件查询跟随流程记录的退回次数排序列表
     * @param archiveMasterFollowing
     * @return
     */
    List<Archive_Master_Following> selByCol(Archive_Master_Following archiveMasterFollowing);

    /**
     * 根据following_type 和master_id等查询记录，每份病案最后的操作记录
     * @param archiveMasterFollowing
     * @return
     */
    List<Archive_Master_Following> selLastByType(Archive_Master_Following archiveMasterFollowing);

    List<Archive_Master_Following> getHandleName(String roleName,String userName);
}
